Operations (Network) - List
Returns the list of support REST operations.
GET https://management.azure.com/providers/Microsoft.Network.Admin/operations?api-version=2015-06-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
Client API Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Azure Active Directory OAuth2 flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Returns the list of support REST operations.
Sample request
GET https://management.azure.com/providers/Microsoft.Network.Admin/operations?api-version=2015-06-15
Sample response
{
"value": [
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "AdminOverview",
"operation": "AdminOverview",
"description": "Summary Overview of Network Resources across subscriptions."
},
"name": "Microsoft.Network.Admin/adminOverview/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "VirtualNetwork",
"operation": "VirtualNetwork",
"description": "Gets a list of tenant virtual networks across all subscriptions."
},
"name": "Microsoft.Network.Admin/adminVirtualNetworks/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "LoadBalancer",
"operation": "LoadBalancer",
"description": "Gets information about all load balancers across subscriptions."
},
"name": "Microsoft.Network.Admin/adminLoadBalancers/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "PublicIpAddresses",
"operation": "PublicIpAddresses",
"description": "Lists public IP Addresses created by tenants across all subscriptions."
},
"name": "Microsoft.Network.Admin/adminPublicIpAddresses/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "Subscription",
"operation": "RegisterSubscription",
"description": "RegistersTheSubscription"
},
"name": "Microsoft.Network.Admin/register/action"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "QuotaOperation",
"operation": "ReadQuota",
"description": "Read action on Quota resources"
},
"name": "Microsoft.Network.Admin/locations/quotas/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "QuotaOperation",
"operation": "WriteQuota",
"description": "Write action on Quota resources"
},
"name": "Microsoft.Network.Admin/locations/quotas/write"
},
{
"display": {
"provider": "Microsoft.Network.Admin",
"resource": "QuotaOperation",
"operation": "DeleteQuota",
"description": "Delete action on Quota resources"
},
"name": "Microsoft.Network.Admin/locations/quotas/delete"
},
{
"display": {
"provider": "Microsoft.Network.Admin"
},
"name": "Microsoft.Network.Admin/operations/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin"
},
"name": "Microsoft.Network.Admin/locations/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin"
},
"name": "Microsoft.Network.Admin/locations/operations/read"
},
{
"display": {
"provider": "Microsoft.Network.Admin"
},
"name": "Microsoft.Network.Admin/locations/operationResults/read"
}
]
}
Definitions
| Name | Description |
|---|---|
| Display |
Contains the localized display information for this particular operation / action. |
| Operation |
Describes the supported REST operation. |
|
Operation |
List of Operations |
Display
Contains the localized display information for this particular operation / action.
| Name | Type | Description |
|---|---|---|
| description |
string |
The localized, friendly description for the operation. The description will be displayed to the user. It should be thorough and concise for used in both tooltips and detailed views. |
| operation |
string |
The localized, friendly name for the operation. Use the name as it will displayed to the user. |
| provider |
string |
The localized friendly form of the resource provider name – it is expected to also include the publisher/company responsible. It should use Title Casing and begin with "Microsoft" for 1st party services. e.g. "Microsoft Monitoring Insights" or "Microsoft Compute." |
| resource |
string |
The localized, friendly version of the resource type related to this action or operation; the resource type should match the public documentation for the resource provider. |
Operation
Describes the supported REST operation.
| Name | Type | Description |
|---|---|---|
| display |
Contains the localized display information for this particular operation / action. |
|
| name |
string |
The name of the operation being performed on this particular object. This name should match the name that appears in RBAC or the event service. |
OperationList
List of Operations
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URI to the next page of operations. |
| value |
Array of operations |